{% extends "layout.html"%}
{% block content %}
<html>
    <head>
        <title> Downloading</title>
    </head>
    <body onload="download_file()">
        <div class="wrapper">
            <h4>Downloading....</h4>
            <a id ="download-data" class="btn btn-dark" href="{{ url_for('downloadFile') }}" target="_blank" >Download CSV </a>
        </div>
    </body>
</html>
{% endblock %}

{% block script %}
<script src="//cdnjs.cloudflare.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
<script>
    function download_file() {
        ajaxcall()
    }

    function ajaxcall() {
        status =false;

        $.ajax({
            method: 'GET',
            url: "{{ url_for('taskstatus') }}",
            dataType: 'json',
            data: { id: '{{id}}'},

            success: function(data) {
                console.log('success',data.status);
                status =data.status
                if (data.status ==true) {
                 //    clearInterval()
                 $("#download-data").show()
                 console.log("Success");
                 clearInterval(ajaxcall,0)
                }
             },
             error: function(data) {
                 console.log("error")
             },
             complete : function() {
                 if(status =='false'){
                 setInterval(ajaxcall,1000);}

     }
 });
 }
 </script>
{% endblock %}
